hk_exporthtml(1)

NAME
hk_exporthtml - exports a datasource to a html file. hk_exporthtml is part of the hk_classes package.

SYNOPSIS
hk_exporthtml -d driver -b database [OPTIONS] datasourcename

DESCRIPTION
exports the result set of a query or a table to a HTML file. The data will be printed to stdout. To create a table or a query use knoda (http://www.knoda.org). If the datasource is not a table set the --query option.

OPTIONS

-b, --database=DATABASE
    database name

-d, --driver=DRIVERNAME
    set the SQL-driver (e.g. mysql). You can get a list of all existing SQL-drivers with -l or --list

--aftertable=AFTERTABLETEXT
    text displayed after the table

--beforetable=BEFORETABLETEXT
    text displayed before the table

-f, --filter=FILTER
    filter

--groupcolumn=COLUMNNAME
    for each group will be created an extra table

-h, --host=HOST
    IP-number or name of hosts

--headsection=HEADSECTION
    meta data in the <HEAD></HEAD> section

-p, --password=PASSWORD
    user password

-q, --query
    if set the datasource is a query, else it is a table

-r, --port=PORT
    TCP-port on host

-u, --user=USERNAME
    user name

-?, --help
    display help list

--usage
    give short usage message

--version
    version and author of hk_classes

AUTHOR
This manual page was written by Mike Schacht <mschacht@alumni.washington.edu> for the Debian project (but may be used by others).

SEE ALSO
hk_actionquery(1), hk_exportcsv(1), hk_importcsv(1), hk_report(1), hk_exportxml(1)